declare
      num   number;
begin
		num:=0;
    select count(1) into num from user_tables where table_name = upper('edc_doprocedurelog') ;
    if num > 0 then
        execute immediate 'drop table edc_doprocedurelog' ;
    end if;
end;
/
create table edc_doprocedurelog(sql_str VARCHAR(4000))
/

CREATE or replace PROCEDURE updateEdcTableField1 AS 
  v_sql varchar(1000);
  cursor form_cursor is select t1.id,t1.front_path from Mobilemode_API t1,edc_reportdataset t2 where t1.id = t2.templateid;
    form_row form_cursor%rowtype;
  begin
    for form_row in form_cursor loop
      begin
        v_sql := 'update edc_reportdataset set templateid = '''||form_row.front_path||''' where templateid = '''||form_row.id||'''';
        execute immediate v_sql;
         exception when others then 
           begin
            insert into edc_doProcedureLog values(v_sql);
            commit;
           end;
       end;
     end loop;
  end;
/

call updateEdcTableField1();
/

drop PROCEDURE updateEdcTableField1;
/

CREATE or replace PROCEDURE updateEdcTableField2 AS 
  v_sql varchar(1000);
  cursor form_cursor is select t1.id,t1.name,t2.front_path from Mobilemode_API_Front_Param t1 left join Mobilemode_API t2 on t1.api_id = t2.id , edc_reportDsInfParams t3 where t1.id = t3.id;
    form_row form_cursor%rowtype;
  begin
    for form_row in form_cursor loop
      begin
        v_sql := 'update edc_reportDsInfParams set tableid = '''||form_row.front_path||''', paramname = '''||form_row.name||''' where id = '''||form_row.id||'''';
        execute immediate v_sql;
         exception when others then 
           begin
            insert into edc_doProcedureLog values(v_sql);
            commit;
           end;
       end;
     end loop;
  end;
/

call updateEdcTableField2();
/

drop PROCEDURE updateEdcTableField2;
/